#include <IRremote.h>
#include <FastLED.h>
CRGB leds[6];
#define RECV_PIN 19
IRrecv irrecv(RECV_PIN);
decode_results results;
int state_L, state_N, Button_pin = 18;
void setup() {
  Serial.begin(9600);
  FastLED.addLeds<WS2812, 26, GRB>(leds, 6); 
  FastLED.setBrightness(100);
  irrecv.enableIRIn();
  pinMode(RECV_PIN, INPUT);
  pinMode(Button_pin, INPUT);
  while (digitalRead(Button_pin) == 1);
}

void IR_remote_control() {
  if (state_N == 0xFFA25D){
    CRGB myRGBcolor(255, 0, 0);
    fill_solid(leds, 6, myRGBcolor);
    FastLED.show();
  }
  else if (state_N == 0xFF629D){
    CRGB myRGBcolor(0, 255, 0);
    fill_solid(leds, 6, myRGBcolor);
    FastLED.show();
  }
  else if (state_N == 0xFFE21D){
    CRGB myRGBcolor3(0, 0, 255);
    fill_solid(leds, 6, myRGBcolor3);
    FastLED.show();
  }
  else if (state_N == 0xFF22DD){
    CRGB myRGBcolor(255, 255, 0);
    fill_solid(leds, 6, myRGBcolor);
    FastLED.show();
  }
  else if (state_N == 0xFF02FD){
    CRGB myRGBcolor(255, 0, 255);
    fill_solid(leds, 6, myRGBcolor);
    FastLED.show();
  }
  else if (state_N == 0xFFC23D){
    CRGB myRGBcolor(0, 255, 255);
    fill_solid(leds, 6, myRGBcolor);
    FastLED.show();
  }
  else if (state_N == 0xFFE01F){
    CRGB myRGBcolor(255, 255, 255);
    fill_solid(leds, 6, myRGBcolor);
    FastLED.show();
  }
}
void loop() {
  if (irrecv.decode(&results)) {
    Serial.println(results.value, HEX);
    if (results.value == 0xFFFFFFFFF) {
      state_N = state_L;
    }
    else {
      state_N = results.value;
      state_L = results.value;
    }
    IR_remote_control();
    irrecv.resume();
  }
  delay(150);
}
