#include <FastLED.h>
CRGB onboard_leds[4];
int Button_pin = 18,photodiode_L = 35, photodiode_R = 34;
void setup() {
  Serial.begin(9600);
  pinMode(Button_pin, INPUT);
  pinMode(photodiode_L, INPUT);
  pinMode(photodiode_R, INPUT);
  FastLED.addLeds<WS2812, 25, GRB>(onboard_leds, 4);
  FastLED.setBrightness(255);
  while (digitalRead(Button_pin) == 1);
}

void loop() {
  int ADC_L = analogRead(photodiode_L);
  int ADC_R = analogRead(photodiode_R);
  int ADC_sum = ADC_L + ADC_R;
  int ADC_Now = 6000;    //The current ambient light intensity value is subject to the actual measurement.
  int RGB_brightness = map(ADC_sum, ADC_Now, 8190, 0, 255);
  Serial.print("ADC_L:");
  Serial.println(ADC_L);
  Serial.print("ADC_R:");
  Serial.println(ADC_R);
  FastLED.setBrightness(RGB_brightness);
  fill_solid(onboard_leds, 4, CRGB::White);
  FastLED.show();
}
