#define G4 392
#define A4 440
#define B4 494
#define C5 523
#define D5 587
#define E5 659
#define F5 698
int Tone[] = {G4, A4, B4, C5, D5, E5, F5}; 
int Ultrasonic_Pin = 27, Button_pin = 18, Buzzer_pin = 33;
int Time_Echo_us, distance;

void Get_Distance(){
  pinMode(Ultrasonic_Pin, OUTPUT);
  digitalWrite(Ultrasonic_Pin, HIGH);
  delayMicroseconds(20);
  digitalWrite(Ultrasonic_Pin, LOW);
  pinMode(Ultrasonic_Pin, INPUT);
  Time_Echo_us = pulseIn(Ultrasonic_Pin, HIGH);
  distance = Time_Echo_us / 58;
}

void setup() {
  Serial.begin(9600);
  ledcSetup(15, 2700, 8);
  ledcAttachPin(Buzzer_pin, 15);
  pinMode(Button_pin,INPUT);
  while (digitalRead(Button_pin) == 1);
}

void loop() {
  Get_Distance();
  int num = distance / 5;
  Serial.println(distance);
  Serial.println(num);
  if (num >= 0 && num < 7){
    ledcWriteTone(15, Tone[num]);
    delay(100);
  }else{
    ledcWriteTone(15, 0);
  }
}
