#include <FastLED.h>
CRGB onboard_leds[4];
int Button_pin = 18, photodiode_L = 35, photodiode_R = 34;
void setup() {
  Serial.begin(9600);
  pinMode(Button_pin, INPUT);
  pinMode(photodiode_L, INPUT);
  pinMode(photodiode_R, INPUT);
  FastLED.addLeds<WS2812, 25, GRB>(onboard_leds, 4);
  FastLED.setBrightness(255);
  while (digitalRead(Button_pin) == 1);
}

void loop() {
  int ADC_sum  = analogRead(photodiode_L) + analogRead(photodiode_R);
  if ( ADC_sum>8000) {
    FastLED.setBrightness(255);
    fill_solid(onboard_leds, 4, CRGB::White);
    FastLED.show();
  }
  else {
    FastLED.setBrightness(0);
    fill_solid(onboard_leds, 4, CRGB::Black);
    FastLED.show();
  }
}
