#include <FastLED.h>
int distance = 0, Ultrasonic_Pin = 27, Button_pin = 18;
CRGB ultrasonic_leds[6];
void setup() {
  Serial.begin(9600);
  for (int i = 12; i <= 15; i++) {
    ledcSetup(i, 255, 8);
    ledcAttachPin(i, i);
  }
  FastLED.addLeds<WS2812, 26, GRB>(ultrasonic_leds, 6);
  FastLED.setBrightness(255);
  while (digitalRead(Button_pin) == 1);
}
void Motor(int L1, int L2 , int R1, int R2) {
  ledcWrite(12, L1);
  ledcWrite(13, L2);
  ledcWrite(14, R1);
  ledcWrite(15, R2);
}
void Get_Distance() {
  pinMode(Ultrasonic_Pin, OUTPUT);
  digitalWrite(Ultrasonic_Pin, HIGH);
  delayMicroseconds(20);
  digitalWrite(Ultrasonic_Pin, LOW);
  pinMode(Ultrasonic_Pin, INPUT);
  int Time_Echo_us = pulseIn(Ultrasonic_Pin, HIGH);
  distance = Time_Echo_us / 58;
}
void loop() {
  Get_Distance();
  Serial.println(distance);
  if ( distance >= 0 && distance <= 10) {
    fill_solid(ultrasonic_leds, 6, CRGB::Red);
    FastLED.show();
    Motor(0, 100, 0, 100);
    delay(100);
    Motor(0, 0, 0, 0);
  }
  else if ( distance > 10 && distance <= 20) {
    fill_solid(ultrasonic_leds, 6, CRGB::Green);
    FastLED.show();
    Motor(0, 100, 100, 0);
    delay(100);
    Motor(0, 0, 0, 0);
  }
  else if ( distance > 20) {
    fill_solid(ultrasonic_leds, 6, CRGB::Blue);
    FastLED.show();
    Motor(0, 0, 0, 0);
  }
}
